apiVersion: apps/v1
kind: Deployment
metadata:
  name: fibonacci-deployment
  namespace: fibonacci-app  
spec:
  replicas: 1
  selector:
    matchLabels:
      app: fibonacci-go
  template:
    metadata:
      labels:
        app: fibonacci-go
    spec:
      containers:
      - name: fibonacci-go
        image: forgejo.edf-bootstrap.cx.fg1.ffm.osc.live/christopher.hase/fibonacci_http_go:1.0.0
        ports:
        - containerPort: 9090